// {{{RME classifier 'Logical View::VANT::VSUP::VCXP::CapturarParametro'

#ifndef CapturarParametro_H
#define CapturarParametro_H

#ifdef PRAGMA
#pragma interface "CapturarParametro.h"
#endif

#include <RTSystem/VANT_EC_SAT.h>
#include <vcxp_protocol.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass CapturarParametro;

#define SUPER RTActor
class CapturarParametro_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME
	// {{{RME classAttribute 'vlrParametro'
	int vlrParametro;
	// }}}RME
	// {{{RME classAttribute 'hora'
	int hora;
	// }}}RME

protected:
	// {{{RME port 'timer'
	Timing::Base timer;
	// }}}RME
	// {{{RME port 'heading'
	vcxp_protocol::Conjugate heading;
	// }}}RME
	// {{{RME port 'roll'
	vcxp_protocol::Conjugate roll;
	// }}}RME
	// {{{RME port 'angle'
	vcxp_protocol::Conjugate angle;
	// }}}RME

public:
	CapturarParametro_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~CapturarParametro_Actor( void );

protected:
	// {{{RME operation 'getParametro()'
	void getParametro( void );
	// }}}RME
	// {{{RME operation 'sendParametro()'
	void sendParametro( void );
	// }}}RME

public:
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME transition ':TOP:avtive:J4356694600FC:roll'
	INLINE_METHODS void transition2_roll( const void * rtdata, Timing::Base * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain1_Initial( void );
	INLINE_CHAINS void chain2_roll( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];

public:
	static const RTFieldDescriptor rtg_CapturarParametro_fields[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* CapturarParametro_H */

// }}}RME
