// {{{RME classifier 'Logical View::VANT::Common::MissionVant'

#ifndef MissionVant_H
#define MissionVant_H

#ifdef PRAGMA
#pragma interface "MissionVant.h"
#endif

#include <RTSystem/VANT_EC_SAT.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTObject_class RTType_MissionVant;

class MissionVant
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

public:
	// {{{RME classAttribute 'Longitude'
	int Longitude;
	// }}}RME
	// {{{RME classAttribute 'Latitude'
	int Latitude;
	// }}}RME
	// {{{RME classAttribute 'Altitude'
	int Altitude;
	// }}}RME
	// {{{RME classAttribute 'Missao'
	bool Missao;
	// }}}RME
	// {{{RME classAttribute 'Image'
	long Image;
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateDefaultConstructor'
	MissionVant( void );
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateDestructor'
	virtual ~MissionVant( void );
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateCopyConstructor'
	MissionVant( const MissionVant & rtg_arg );
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateAssignmentOperator'
	MissionVant & operator=( const MissionVant & rtg_arg );
	// }}}RME
};

struct RTTypedValue_MissionVant
{
	const void * data;
	const RTObject_class * type;
	inline RTTypedValue_MissionVant( const MissionVant & rtg_value )
		: data( &rtg_value ), type( &RTType_MissionVant )
	{
	}
	inline RTTypedValue_MissionVant( const MissionVant & rtg_value, const RTObject_class * rtg_type )
		: data( &rtg_value ), type( rtg_type )
	{
	}
	inline ~RTTypedValue_MissionVant( void )
	{
	}
};

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* MissionVant_H */

// }}}RME
