// {{{RME classifier 'Logical View::VANT_EC_SAT'

#ifndef VANT_EC_SAT_H
#define VANT_EC_SAT_H

#ifdef PRAGMA
#pragma interface "VANT_EC_SAT.h"
#endif

#include <RTSystem/VANT_EC_SAT.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass VANT_EC_SAT;

#define SUPER RTActor
class VANT_EC_SAT_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME capsuleRole 'vant'
	RTActorRef vant;
	// }}}RME
	// {{{RME capsuleRole 'stubec'
	RTActorRef stubec;
	// }}}RME

public:
	VANT_EC_SAT_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~VANT_EC_SAT_Actor( void );
	virtual int _followOutV( RTBindingEnd & rtg_end, int rtg_compId, int rtg_portId, int rtg_repIndex );
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTComponentDescriptor rtg_capsule_roles[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* VANT_EC_SAT_H */

// }}}RME
