// {{{RME classifier 'Logical View::VANT::VSUP::VSUP_CSC'

#ifndef VSUP_CSC_H
#define VSUP_CSC_H

#ifdef PRAGMA
#pragma interface "VSUP_CSC.h"
#endif

#include <RTSystem/VANT_EC_SAT.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass VSUP_CSC;

#define SUPER RTActor
class VSUP_CSC_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME capsuleRole 'vcal'
	RTActorRef vcal;
	// }}}RME
	// {{{RME capsuleRole 'vbad'
	RTActorRef vbad;
	// }}}RME
	// {{{RME capsuleRole 'vcxp'
	RTActorRef vcxp;
	// }}}RME
	// {{{RME capsuleRole 'vsel'
	RTActorRef vsel;
	// }}}RME

public:
	VSUP_CSC_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~VSUP_CSC_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );
	virtual int _followOutV( RTBindingEnd & rtg_end, int rtg_compId, int rtg_portId, int rtg_repIndex );
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTComponentDescriptor rtg_capsule_roles[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* VSUP_CSC_H */

// }}}RME
