// {{{RME classifier 'Logical View::VANT::VCTRL::VCOMB::Consume'

#ifndef Consume_H
#define Consume_H

#ifdef PRAGMA
#pragma interface "Consume.h"
#endif

#include <RTSystem/VANT_EC_SAT.h>
#include <Consume_Protocol.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass Consume;

#define SUPER RTActor
class Consume_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME
	// {{{RME classAttribute 'consume_value'
	int consume_value;
	// }}}RME

protected:
	// {{{RME port 'to_controller'
	Consume_Protocol::Conjugate to_controller;
	// }}}RME

public:
	Consume_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~Consume_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME transition ':TOP:Active:J435994CB032E:request_consume'
	INLINE_METHODS void transition2_request_consume( const void * rtdata, Consume_Protocol::Conjugate * rtport );
	// }}}RME
	// {{{RME transition ':TOP:Active:J435995B60050:increase_consume'
	INLINE_METHODS void transition3_increase_consume( const void * rtdata, Consume_Protocol::Conjugate * rtport );
	// }}}RME
	// {{{RME transition ':TOP:Active:J4359968E0224:decrease_value'
	INLINE_METHODS void transition4_decrease_value( const void * rtdata, Consume_Protocol::Conjugate * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain1_Initial( void );
	INLINE_CHAINS void chain2_request_consume( void );
	INLINE_CHAINS void chain3_increase_consume( void );
	INLINE_CHAINS void chain4_decrease_value( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];

public:
	static const RTFieldDescriptor rtg_Consume_fields[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* Consume_H */

// }}}RME
