// {{{RME classifier 'Logical View::VANT::VCNS::VNAV::Coordinate'

#ifndef Coordinate_H
#define Coordinate_H

#ifdef PRAGMA
#pragma interface "Coordinate.h"
#endif

#include <RTSystem/VANT_EC_SAT.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTObject_class RTType_Coordinate;

class Coordinate
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

public:
	// {{{RME classAttribute 'Longitude'
	double Longitude;
	// }}}RME
	// {{{RME classAttribute 'Latitude'
	double Latitude;
	// }}}RME
	// {{{RME classAttribute 'Altitude'
	double Altitude;
	// }}}RME
	// {{{RME classAttribute 'Angulo_Proa'
	double Angulo_Proa;
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateDefaultConstructor'
	Coordinate( void );
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateDestructor'
	virtual ~Coordinate( void );
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateCopyConstructor'
	Coordinate( const Coordinate & rtg_arg );
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateAssignmentOperator'
	Coordinate & operator=( const Coordinate & rtg_arg );
	// }}}RME
};

struct RTTypedValue_Coordinate
{
	const void * data;
	const RTObject_class * type;
	inline RTTypedValue_Coordinate( const Coordinate & rtg_value )
		: data( &rtg_value ), type( &RTType_Coordinate )
	{
	}
	inline RTTypedValue_Coordinate( const Coordinate & rtg_value, const RTObject_class * rtg_type )
		: data( &rtg_value ), type( rtg_type )
	{
	}
	inline ~RTTypedValue_Coordinate( void )
	{
	}
};

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* Coordinate_H */

// }}}RME
