// {{{RME classifier 'Logical View::VANT::Common::MissionVant'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "MissionVant.h"
#endif

#include <RTSystem/VANT_EC_SAT.h>
#include <MissionVant.h>

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR

// }}}USR
// }}}RME

static void rtg_MissionVant_init( const RTObject_class * type, MissionVant * target )
{
	(void)new( target ) MissionVant;
}

static void rtg_MissionVant_copy( const RTObject_class * type, MissionVant * target, const MissionVant * source )
{
	(void)new( target ) MissionVant( *source );
}

static void rtg_MissionVant_destroy( const RTObject_class * type, MissionVant * target )
{
	target->~MissionVant();
}

const RTFieldDescriptor rtg_MissionVant_fields[] =
{
	// {{{RME classAttribute 'Longitude'
	{
		"Longitude"
	  , RTOffsetOf( MissionVant, Longitude )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_int
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'Latitude'
  , {
		"Latitude"
	  , RTOffsetOf( MissionVant, Latitude )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_int
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'Altitude'
  , {
		"Altitude"
	  , RTOffsetOf( MissionVant, Altitude )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_int
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'Missao'
  , {
		"Missao"
	  , RTOffsetOf( MissionVant, Missao )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_bool
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'Image'
  , {
		"Image"
	  , RTOffsetOf( MissionVant, Image )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_long
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
};

const RTObject_class RTType_MissionVant =
{
	(const RTObject_class *)0
  , (RTSuperAccessFunction)0
  , "MissionVant"
  , (RTVersionId)0
  , (RTFieldOffset)sizeof( MissionVant )
  , (RTInitFunction)rtg_MissionVant_init
  , (RTCopyFunction)rtg_MissionVant_copy
#if OBJECT_DECODE
  , RTstruct_decode
#endif
#if OBJECT_ENCODE
  , RTstruct_encode
#endif
  , (RTDestroyFunction)rtg_MissionVant_destroy
  , 5
  , rtg_MissionVant_fields
};

// {{{RME tool 'OT::Cpp' property 'GenerateDefaultConstructor'
MissionVant::MissionVant( void )
	: Longitude( 0 )
	, Latitude( 0 )
	, Altitude( 0 )
	, Missao( false )
	, Image( 0 )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateDestructor'
MissionVant::~MissionVant( void )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateCopyConstructor'
MissionVant::MissionVant( const MissionVant & rtg_arg )
	: Longitude( rtg_arg.Longitude )
	, Latitude( rtg_arg.Latitude )
	, Altitude( rtg_arg.Altitude )
	, Missao( rtg_arg.Missao )
	, Image( rtg_arg.Image )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateAssignmentOperator'
MissionVant & MissionVant::operator=( const MissionVant & rtg_arg )
{
	if( this != &rtg_arg )
	{
		Longitude = rtg_arg.Longitude;
		Latitude = rtg_arg.Latitude;
		Altitude = rtg_arg.Altitude;
		Missao = rtg_arg.Missao;
		Image = rtg_arg.Image;
	}
	return *this;
}
// }}}RME

#if OBJECT_DECODE
RTTypeInstaller rtg_MissionVant_installer( RTType_MissionVant );
#endif

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
