// {{{RME classifier 'Logical View::VANT::VCNS::VNAV::Navigation_Data_Out'

#ifndef Navigation_Data_Out_H
#define Navigation_Data_Out_H

#ifdef PRAGMA
#pragma interface "Navigation_Data_Out.h"
#endif

#include <RTSystem/VANT_EC_SAT.h>
class Coordinate;

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTObject_class RTType_Navigation_Data_Out;

class Navigation_Data_Out
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

public:
	// {{{RME classAttribute 'DeltaS'
	double DeltaS;
	// }}}RME
	// {{{RME classAttribute 'Velocity'
	double Velocity;
	// }}}RME
	// {{{RME classAttribute 'Trajectory'
	Coordinate * Trajectory;
	// }}}RME
	// {{{RME classAttribute 'Future_Position'
	static Coordinate Future_Position;
	// }}}RME
	// {{{RME classAttribute 'Number_Coordinates_Trajectory'
	int Number_Coordinates_Trajectory;
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateDefaultConstructor'
	Navigation_Data_Out( void );
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateDestructor'
	virtual ~Navigation_Data_Out( void );
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateCopyConstructor'
	Navigation_Data_Out( const Navigation_Data_Out & rtg_arg );
	// }}}RME
	// {{{RME tool 'OT::Cpp' property 'GenerateAssignmentOperator'
	Navigation_Data_Out & operator=( const Navigation_Data_Out & rtg_arg );
	// }}}RME
};

struct RTTypedValue_Navigation_Data_Out
{
	const void * data;
	const RTObject_class * type;
	inline RTTypedValue_Navigation_Data_Out( const Navigation_Data_Out & rtg_value )
		: data( &rtg_value ), type( &RTType_Navigation_Data_Out )
	{
	}
	inline RTTypedValue_Navigation_Data_Out( const Navigation_Data_Out & rtg_value, const RTObject_class * rtg_type )
		: data( &rtg_value ), type( rtg_type )
	{
	}
	inline ~RTTypedValue_Navigation_Data_Out( void )
	{
	}
};

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* Navigation_Data_Out_H */

// }}}RME
