// {{{RME classifier 'Logical View::VANT::Common::stubEC'

#ifndef stubEC_H
#define stubEC_H

#ifdef PRAGMA
#pragma interface "stubEC.h"
#endif

#include <RTSystem/VANT_EC_SAT.h>
#include <COM_PROTOCOL.h>
class MissionVant;

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass stubEC;

#define SUPER RTActor
class stubEC_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME
	// {{{RME classAttribute 'intMission'
	int intMission;
	// }}}RME

protected:
	// {{{RME port 'ec'
	COM_PROTOCOL::Base ec;
	// }}}RME
	// {{{RME port 'timer'
	Timing::Base timer;
	// }}}RME

public:
	stubEC_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~stubEC_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME enter ':TOP:sendMission'
	INLINE_METHODS void enter2_sendMission( void );
	// }}}RME
	virtual void enterStateV( void );

private:
	INLINE_CHAINS void chain1_Initial( void );
	INLINE_CHAINS void chain2_timeout( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];

public:
	static const RTFieldDescriptor rtg_stubEC_fields[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* stubEC_H */

// }}}RME
